Bug 1712 - xxkb-1.9-alt1 fails to redraw indicator window, switch layout w/rclk
: xxkb-1.9-alt1 fails to redraw indicator window, switch layout w/rclk
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xxkb)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-12-13 13:13 by
Modified: 2009-01-01 18:17 (History)


Attachments
0001712-.xxkbrc (1.01 KB, application/octet-stream)
2002-12-13 13:13, Michael Shigorin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-12-13 13:13:33
used as WindowMaker dockapp; \"rua\" layout

right click on indicator window shows WM dockapp menu instead of switching layout, and the window doesn\'t get updated on subsequent redraw event (until forced by switching layout from kbd).

xxkb-1.8-alt1 doesn\'t have this problem.

~/.xxkbrc attached
---

---

------- Comment #1 From 2002-12-18 11:43:05 -------
Seems like some specific miscommunication between xxkb and WindowMaker and/or
bug in applet code since:

- 1.8 would behave the same in some circumstances;
- the circumstances are: changing (possibly running twice??) the binary while
_not_ destroying and re-creating the dockapp.

Seems you can resolve the bug but probably leave it open?
------- Comment #2 From 2002-12-18 11:43:05 -------
Seems like some specific miscommunication between xxkb and WindowMaker and/or
bug in applet code since:

- 1.8 would behave the same in some circumstances;
- the circumstances are: changing (possibly running twice??) the binary while
_not_ destroying and re-creating the dockapp.

Seems you can resolve the bug but probably leave it open?
------- Comment #3 From 2004-05-24 15:34:37 -------
на мантейнера 
------- Comment #4 From 2004-06-17 16:13:59 -------
Ну если это проблема только WindowMaker, тогда это к voins 
------- Comment #5 From 2004-06-17 16:17:10 -------
Насколько я (смутно) помню, это проблема какого-то не такого взаимодействия
xxkb
с gtk2-приложениями.  Иван Паскаль в курсе и глубокой задумчивости, а конкретно
WM и Лёша -- ни при чем.

Вроде как.
------- Comment #6 From 2004-08-03 22:21:35 -------
Reassigned to maintainer.
------- Comment #7 From 2005-08-30 02:15:51 -------
актуально...
------- Comment #8 From 2006-03-30 19:31:22 -------
А какой глубинный смысл использования xxkb вместе с WindowMaker, у которого уже
давно включено --enable-mode-lock ?
------- Comment #9 From 2006-03-31 16:36:06 -------
Если три раскладки, то сильно удобнее иметь cyr/lat и отдельно cyr:ru/ua.  WM
этого не умеет, как и виденное остальное.
------- Comment #10 From 2009-01-01 18:17:53 -------
Hope it is fixed in xxkb-1.11-alt1, please reopen if not.